* {
  margin: 0;
  padding: 0;
}

.container {
  background: url(../img/bg.jpg) center top no-repeat;
  max-width: 750px;
  margin: 0 auto;
}

.container .header {
  position: fixed;
  height: 7rem;
  background: #fff;
  width: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  box-shadow: 0 0 20px 0 #ccc;
}

.container .header img {
  margin: 0 auto;
  display: block;
}

.container .banner {
  margin-top: 7rem;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.container .banner img:first-child {
  padding-top: 5rem;
  padding-bottom: 2rem;
}

.container .banner img:last-child {
  width: 35rem;
}

.container .table .icon-star {
  background: url(../img/star.png) no-repeat;
  width: 6rem;
  height: 1.4rem;
  display: block;
  overflow: hidden;
  background-size: contain;
}

.table .table-item__title {
  background: linear-gradient(to bottom, #10afff, #167bec);
  color: #fff;
  /* height: 3rem; */
  line-height: 3rem;
  font-size: 1.8rem;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.table .table-item__title span {
  padding: 0 1rem;
}




.no-data {

  width: 100%;
  height: 4rem;

  font-size: 1.4rem;

  text-align: center;

}


.result {
  text-align: center;
  font-size: 18px;
}



.date-tabs {
  display: flex;
  overflow-x: auto;
  /* 横向滚动 */
  white-space: nowrap;
  padding: 10px 12px;
  background: #fff;
  border-bottom: 1px solid #eee;

  -webkit-overflow-scrolling: touch;
  /* iOS 顺滑 */
  scrollbar-width: none;
  /* Firefox 隐藏滚动条 */
}


.date-tabs::-webkit-scrollbar {
  display: none;
  /* Chrome / Safari 隐藏滚动条 */
}

.date-tab {
  flex: 0 0 calc(100% / 7);
  text-align: center;
  font-size: 12px;
  color: #666;
  position: relative;
  cursor: pointer;

}

.date-tab .week {

  font-size: 1.2rem;
  margin-bottom: 4px;
}

.date-tab .date {

  font-size: 1.1rem;
}

.date-tab.active {
  color: #ff9800;
  font-weight: 600;
}

.table {
  margin-bottom: 1rem;
}

.date-tab.active::after {
  content: "";
  position: absolute;
  bottom: -6px;
  left: 50%;
  width: 24px;
  height: 3px;
  background: #ff9800;
  border-radius: 2px;
  transform: translateX(-50%);
}


.table {
  width: 100%;
  border-collapse: collapse;
  /* 关键：合并边框 */
}

.table th,
.table td {
  padding: 12px 8px;
  text-align: center;
  border-bottom: 1px solid #167bec;
  /* 行分割线 */
}

/* 表头底部分割线加粗 */
.table thead th {
  border-bottom: 2px solid #167bec;
  font-weight: 600;
}

/* 纵向分割线（可选） */
.table th:not(:last-child),
.table td:not(:last-child) {
  border-right: 1px solid #167bec;
}

.table-item {
  width: 10rem;
  border-collapse: collapse;
  table-layout: fixed;
  /* 很关键，防止内容撑宽 */
}



/* 第一列（表头 + 内容） */
.table-header th:first-child,
.tbody td:first-child {
  width: 7rem;
}

.table-header th:last-child,
.tbody td:last-child {
  width: 6rem;
}